/****************************************
*  Computer Algebra System SINGULAR     *
****************************************/
/* $Id: mmblock.c,v 1.4 1997/11/18 16:10:44 Singular Exp $ */

/*
* ABSTRACT:
*/

#define _POSIX_SOURCE 1

#include <stdio.h>
#include <stdlib.h>
#include "omalloc.h"
#include "mmprivat.h"

typedef struct memBlock
{
  char data[MAXDATA];
} memBlock;


static status_t mm_blockStatus = MM_NORMAL;

void * mmGetBlock( void )
{
  memBlock * dummy ;
  dummy = (memBlock*)malloc( sizeof( memBlock ) );

  if ( dummy == NULL )
  {
     (void)fprintf( stderr, "\nerror: no more memory\n" );
     exit(14);
  }
  mm_bytesReal += sizeof( memBlock );
  return &dummy->data[0];
}

