/****************************************
*  Computer Algebra System SINGULAR     *
****************************************/
/* $Id: mmspec.c,v 1.7.2.1 1998/10/01 11:27:57 pohl Exp $ */

/*
* ABSTRACT:
*/

#define _POSIX_SOURCE 1

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#define __USE_MISC
#include <unistd.h>
#ifndef macintosh
#include <sys/types.h>
#endif
#include "omalloc.h"
#include "mmprivat.h"

char * mmStrdup( const char * s )
{
  if (s==NULL) return NULL;
  {
    char * rc = (char*)mmAlloc( 1 + strlen( s ) );
    strcpy( rc, s );
    return rc;
  }
}

int mmMemReal( void )
{
  return mm_bytesReal;
}

int mmMemUsed( void )
{
    return mm_bytesUsed;
}

#ifdef HAVE_SBRK
#include <unistd.h>
int mmMemPhysical( void )
{
  unsigned long ns = (unsigned long) sbrk(0);
  return (ns >=  mm_SbrkInit ? ns - mm_SbrkInit : mm_SbrkInit - ns);
}
#endif
